Subject: Re: [Bitcoin-development] BIP - Hash Locked Transaction

From: Tier Nolan <[email-masked]>
Date: Sat, 26 Apr 2014 12:31:44 +0100

On Sat, Apr 26, 2014 at 12:11 PM, Jorge Timón <[email-masked]> wrote:

> script IsStandard
> main IsStandardTx
> main AcceptToMemoryPool

Accept to memory pool could probably be replaced with an
IsStandard(scriptPubKey, scriptSig) method.  The only "isStandard" part of
the process is the check inputs method (and AcceptToMemoryPool calls
IsStandardTx).

The standard script methods at the moment are also used for extracting
addresses for wallet management.

The standard script check could be made easier if it just checked for
pattern matches.

Is there any objections to this change, other than it doesn't go far enough?